Create workspace
curl --request POST \
--url https://api.gologin.com/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Workspace",
"os": "win",
"osSpec": "win11"
}
'import requests
url = "https://api.gologin.com/workspaces"
payload = {
"name": "My Workspace",
"os": "win",
"osSpec": "win11"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Workspace', os: 'win', osSpec: 'win11'})
};
fetch('https://api.gologin.com/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"owner": "<string>",
"planId": "<string>",
"planName": "<string>",
"paymentMethod": "<string>",
"planMembersMax": 123,
"isPlanUnlimited": true,
"planExpiresAt": "2023-11-07T05:31:56Z",
"paymentIsTrial": true,
"isUnpaid": true,
"memberCount": 123,
"profilesCount": 123,
"planProfilesMax": 123,
"permissions": {
"canAddBilling": true,
"canClaimProfilesWithoutFolder": true
}
}Workspace
Create workspace
Creates a new workspace.
POST
/
workspaces
Create workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name of the workspace.
Example:
"My Workspace"
Gologin will create starting profiles with creating a workspace. If you want to create a workspace with a specific OS, you can specify it here.
Available options:
lin, mac, win, android, android-cloud, ios Example:
"win"
Here you can specify OS specification. For example chip version for macos or version of windows.
Available options:
M1, M2, M3, M4, M5, A18, win11, Example:
"win11"
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?